export declare class TicketError extends Error {
    code?: string | undefined;
    constructor(message: string, code?: string | undefined);
}
export declare class ValidationError extends TicketError {
    field?: string | undefined;
    constructor(message: string, field?: string | undefined);
}
export declare class FileSystemError extends TicketError {
    path?: string | undefined;
    constructor(message: string, path?: string | undefined);
}
export declare class ConfigurationError extends TicketError {
    constructor(message: string);
}
export declare class LockError extends TicketError {
    constructor(message: string);
}
export declare class TicketNotFoundError extends TicketError {
    readonly ticketId: string;
    constructor(ticketId: string, message?: string);
}
export declare class TicketAlreadyInProgressError extends TicketError {
    readonly ticketId: string;
    constructor(ticketId: string, message?: string);
}
export declare class TicketAlreadyCompletedError extends TicketError {
    readonly ticketId: string;
    constructor(ticketId: string, message?: string);
}
export declare class TicketNotStartedError extends TicketError {
    readonly ticketId: string;
    constructor(ticketId: string, message?: string);
}
