/**
 * Simplified style system for AIT³ commands
 * Uses semantic 5-color system for consistency and maintainability
 */
export declare const STYLES: {
    readonly success: import("chalk").ChalkInstance;
    readonly info: import("chalk").ChalkInstance;
    readonly warning: import("chalk").ChalkInstance;
    readonly danger: import("chalk").ChalkInstance;
    readonly muted: import("chalk").ChalkInstance;
    readonly bold: import("chalk").ChalkInstance;
    readonly code: import("chalk").ChalkInstance;
};
export type StylesType = typeof STYLES;
/**
 * Helper function to migrate from old FLOW_STYLES to new STYLES
 * Maps old style names to new semantic names
 */
export declare function migrateStyle(oldStyle: string): keyof StylesType;
