export declare class SlugUtils {
    /**
     * Convert title to filename-safe slug
     */
    static titleToSlug(title: string): string;
}
export declare class TimeUtils {
    /**
     * Get current ISO timestamp
     */
    static now(): string;
    /**
     * Format ISO date string to human-readable format (YYYY-MM-DD HH:MM)
     */
    static formatDate(isoString: string): string;
}
export declare class IDUtils {
    /**
     * Format number as zero-padded ticket ID
     */
    static formatTicketId(id: number, length?: number): string;
    /**
     * Validate ticket ID format (4-digit number)
     */
    static isValidTicketId(id: string): boolean;
}
export declare class FileUtils {
    /**
     * Generate ticket filename from ID and title
     */
    static generateTicketFilename(id: string, title: string): string;
}
