import type { CommandDetector } from '../interfaces/CommandDetector.js';
import type { CommandInfo } from '../../common/types/analyzer.js';
export declare class ConfigBasedCommandDetector implements CommandDetector {
    private rootPath;
    private languageDetectors;
    constructor(rootPath: string);
    detectTestCommand(path?: string, language?: string): Promise<CommandInfo>;
    detectLintCommand(path?: string, language?: string): Promise<CommandInfo>;
    detectFormatCommand(path?: string, language?: string): Promise<CommandInfo>;
    detectBuildCommand(path?: string, language?: string): Promise<CommandInfo>;
    private detectCommand;
    private detectPackageJsonCommand;
    private detectPythonTest;
    private detectPythonLint;
    private detectPythonFormat;
    private detectPythonBuild;
    private detectPHPTest;
    private detectPHPLint;
    private detectPHPFormat;
    private detectPHPBuild;
    private detectJSLint;
    private detectJSFormat;
    private detectTSBuild;
    private anyFileExists;
    private readPackageJson;
    private readPyprojectToml;
    private fileExists;
}
