import type { StructureAnalyzer } from '../interfaces/StructureAnalyzer.js';
import type { ProjectStructure, FrameworkInfo } from '../../common/types/analyzer.js';
export declare class DirectoryStructureAnalyzer implements StructureAnalyzer {
    private rootPath;
    constructor(rootPath: string);
    analyzeStructure(path?: string): Promise<ProjectStructure>;
    detectFramework(path?: string, language?: string): Promise<FrameworkInfo>;
    private scanDirectories;
    private countFiles;
    private detectDirectoryType;
    private shouldIgnoreDirectory;
    private checkForGit;
    private checkForCICD;
    private checkForDocker;
    private fileExists;
    private readPackageJson;
    private readComposerJson;
    private readRequirements;
    private getPackageVersion;
    private getRequirementsVersion;
    private extractVersion;
}
